<?php

namespace App\Http\Dto;

use App\Http\Controllers\Controller;

class DTOAlumnos extends Controller
{
    protected $id_alumno;
    protected $nombre;
    protected $apellido_paterno;
    protected $apellido_materno;
    protected $telefono;
    protected $numero_emergencia;
    protected $correo_electronico;
    protected $tipo_sangre;
    protected $fecha_nacimiento;
    protected $lugar_nacimiento;
    protected $codigo_postal;
    protected $direccion;
    protected $alergia_lesion_otro;
    protected $tutor;
    protected $fecha_ingreso;
    protected $id_cat_modalidad;
    protected $id_cat_nivel;
    protected $id_cat_horario;
    protected $id_cat_tipo_inscripcion;
    protected $costo;
    protected $fecha_inicio_pago;
    protected $fecha_fin_pago;
    protected $id_usuario;
    protected $certificado_medico;
    protected $responsiva;
    protected $edad;
    protected $foto;
    protected $notas;
    protected $activo;

    protected $filtro_nombre;
    protected $filtro_correo_electronico;
    protected $filtro_telefono;
    protected $filtro_edad;
    protected $filtro_activo;

    protected $page;
    protected $limit;

    /**
     * DTOAlumnos constructor.
     */
    public function __construct()
    {
    }

    /**
     * @return mixed
     */
    public function getIdAlumno()
    {
        return $this->id_alumno;
    }

    /**
     * @param mixed $id_alumno
     */
    public function setIdAlumno($id_alumno): void
    {
        $this->id_alumno = $id_alumno;
    }

    /**
     * @return mixed
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * @param mixed $nombre
     */
    public function setNombre($nombre): void
    {
        $this->nombre = $nombre;
    }

    /**
     * @return mixed
     */
    public function getApellidoPaterno()
    {
        return $this->apellido_paterno;
    }

    /**
     * @param mixed $apellido_paterno
     */
    public function setApellidoPaterno($apellido_paterno): void
    {
        $this->apellido_paterno = $apellido_paterno;
    }

    /**
     * @return mixed
     */
    public function getApellidoMaterno()
    {
        return $this->apellido_materno;
    }

    /**
     * @param mixed $apellido_materno
     */
    public function setApellidoMaterno($apellido_materno): void
    {
        $this->apellido_materno = $apellido_materno;
    }

    /**
     * @return mixed
     */
    public function getTelefono()
    {
        return $this->telefono;
    }

    /**
     * @param mixed $telefono
     */
    public function setTelefono($telefono): void
    {
        $this->telefono = $telefono;
    }

    /**
     * @return mixed
     */
    public function getNumeroEmergencia()
    {
        return $this->numero_emergencia;
    }

    /**
     * @param mixed $numero_emergencia
     */
    public function setNumeroEmergencia($numero_emergencia): void
    {
        $this->numero_emergencia = $numero_emergencia;
    }

    /**
     * @return mixed
     */
    public function getCorreoElectronico()
    {
        return $this->correo_electronico;
    }

    /**
     * @param mixed $correo_electronico
     */
    public function setCorreoElectronico($correo_electronico): void
    {
        $this->correo_electronico = $correo_electronico;
    }

    /**
     * @return mixed
     */
    public function getTipoSangre()
    {
        return $this->tipo_sangre;
    }

    /**
     * @param mixed $tipo_sangre
     */
    public function setTipoSangre($tipo_sangre): void
    {
        $this->tipo_sangre = $tipo_sangre;
    }

    /**
     * @return mixed
     */
    public function getFechaNacimiento()
    {
        return $this->fecha_nacimiento;
    }

    /**
     * @param mixed $fecha_nacimiento
     */
    public function setFechaNacimiento($fecha_nacimiento): void
    {
        $this->fecha_nacimiento = $fecha_nacimiento;
    }

    /**
     * @return mixed
     */
    public function getLugarNacimiento()
    {
        return $this->lugar_nacimiento;
    }

    /**
     * @param mixed $lugar_nacimiento
     */
    public function setLugarNacimiento($lugar_nacimiento): void
    {
        $this->lugar_nacimiento = $lugar_nacimiento;
    }

    /**
     * @return mixed
     */
    public function getCodigoPostal()
    {
        return $this->codigo_postal;
    }

    /**
     * @param mixed $codigo_postal
     */
    public function setCodigoPostal($codigo_postal): void
    {
        $this->codigo_postal = $codigo_postal;
    }

    /**
     * @return mixed
     */
    public function getDireccion()
    {
        return $this->direccion;
    }

    /**
     * @param mixed $direccion
     */
    public function setDireccion($direccion): void
    {
        $this->direccion = $direccion;
    }

    /**
     * @return mixed
     */
    public function getAlergiaLesionOtro()
    {
        return $this->alergia_lesion_otro;
    }

    /**
     * @param mixed $alergia_lesion_otro
     */
    public function setAlergiaLesionOtro($alergia_lesion_otro): void
    {
        $this->alergia_lesion_otro = $alergia_lesion_otro;
    }

    /**
     * @return mixed
     */
    public function getTutor()
    {
        return $this->tutor;
    }

    /**
     * @param mixed $tutor
     */
    public function setTutor($tutor): void
    {
        $this->tutor = $tutor;
    }

    /**
     * @return mixed
     */
    public function getFechaIngreso()
    {
        return $this->fecha_ingreso;
    }

    /**
     * @param mixed $fecha_ingreso
     */
    public function setFechaIngreso($fecha_ingreso): void
    {
        $this->fecha_ingreso = $fecha_ingreso;
    }

    /**
     * @return mixed
     */
    public function getIdCatModalidad()
    {
        return $this->id_cat_modalidad;
    }

    /**
     * @param mixed $id_cat_modalidad
     */
    public function setIdCatModalidad($id_cat_modalidad): void
    {
        $this->id_cat_modalidad = $id_cat_modalidad;
    }

    /**
     * @return mixed
     */
    public function getIdCatNivel()
    {
        return $this->id_cat_nivel;
    }

    /**
     * @param mixed $id_cat_nivel
     */
    public function setIdCatNivel($id_cat_nivel): void
    {
        $this->id_cat_nivel = $id_cat_nivel;
    }

    /**
     * @return mixed
     */
    public function getIdCatHorario()
    {
        return $this->id_cat_horario;
    }

    /**
     * @param mixed $id_cat_horario
     */
    public function setIdCatHorario($id_cat_horario): void
    {
        $this->id_cat_horario = $id_cat_horario;
    }

    /**
     * @return mixed
     */
    public function getIdCatTipoInscripcion()
    {
        return $this->id_cat_tipo_inscripcion;
    }

    /**
     * @param mixed $id_cat_tipo_inscripcion
     */
    public function setIdCatTipoInscripcion($id_cat_tipo_inscripcion): void
    {
        $this->id_cat_tipo_inscripcion = $id_cat_tipo_inscripcion;
    }

    /**
     * @return mixed
     */
    public function getCosto()
    {
        return $this->costo;
    }

    /**
     * @param mixed $costo
     */
    public function setCosto($costo): void
    {
        $this->costo = $costo;
    }

    /**
     * @return mixed
     */
    public function getFechaInicioPago()
    {
        return $this->fecha_inicio_pago;
    }

    /**
     * @param mixed $fecha_inicio_pago
     */
    public function setFechaInicioPago($fecha_inicio_pago): void
    {
        $this->fecha_inicio_pago = $fecha_inicio_pago;
    }

    /**
     * @return mixed
     */
    public function getFechaFinPago()
    {
        return $this->fecha_fin_pago;
    }

    /**
     * @param mixed $fecha_fin_pago
     */
    public function setFechaFinPago($fecha_fin_pago): void
    {
        $this->fecha_fin_pago = $fecha_fin_pago;
    }

    /**
     * @return mixed
     */
    public function getIdUsuario()
    {
        return $this->id_usuario;
    }

    /**
     * @param mixed $id_usuario
     */
    public function setIdUsuario($id_usuario): void
    {
        $this->id_usuario = $id_usuario;
    }

    /**
     * @return mixed
     */
    public function getCertificadoMedico()
    {
        return $this->certificado_medico;
    }

    /**
     * @param mixed $certificado_medico
     */
    public function setCertificadoMedico($certificado_medico): void
    {
        $this->certificado_medico = $certificado_medico;
    }

    /**
     * @return mixed
     */
    public function getResponsiva()
    {
        return $this->responsiva;
    }

    /**
     * @param mixed $responsiva
     */
    public function setResponsiva($responsiva): void
    {
        $this->responsiva = $responsiva;
    }

    /**
     * @return mixed
     */
    public function getEdad()
    {
        return $this->edad;
    }

    /**
     * @param mixed $edad
     */
    public function setEdad($edad): void
    {
        $this->edad = $edad;
    }

    /**
     * @return mixed
     */
    public function getFoto()
    {
        return $this->foto;
    }

    /**
     * @param mixed $foto
     */
    public function setFoto($foto): void
    {
        $this->foto = $foto;
    }

    /**
     * @return mixed
     */
    public function getNotas()
    {
        return $this->notas;
    }

    /**
     * @param mixed $notas
     */
    public function setNotas($notas): void
    {
        $this->notas = $notas;
    }

    /**
     * @return mixed
     */
    public function getActivo()
    {
        return $this->activo;
    }

    /**
     * @param mixed $activo
     */
    public function setActivo($activo): void
    {
        $this->activo = $activo;
    }

    /**
     * @return mixed
     */
    public function getFiltroNombre()
    {
        return $this->filtro_nombre;
    }

    /**
     * @param mixed $filtro_nombre
     */
    public function setFiltroNombre($filtro_nombre): void
    {
        $this->filtro_nombre = $filtro_nombre;
    }

    /**
     * @return mixed
     */
    public function getFiltroCorreoElectronico()
    {
        return $this->filtro_correo_electronico;
    }

    /**
     * @param mixed $filtro_correo_electronico
     */
    public function setFiltroCorreoElectronico($filtro_correo_electronico): void
    {
        $this->filtro_correo_electronico = $filtro_correo_electronico;
    }

    /**
     * @return mixed
     */
    public function getFiltroTelefono()
    {
        return $this->filtro_telefono;
    }

    /**
     * @param mixed $filtro_telefono
     */
    public function setFiltroTelefono($filtro_telefono): void
    {
        $this->filtro_telefono = $filtro_telefono;
    }

    /**
     * @return mixed
     */
    public function getFiltroEdad()
    {
        return $this->filtro_edad;
    }

    /**
     * @param mixed $filtro_edad
     */
    public function setFiltroEdad($filtro_edad): void
    {
        $this->filtro_edad = $filtro_edad;
    }

    /**
     * @return mixed
     */
    public function getFiltroActivo()
    {
        return $this->filtro_activo;
    }

    /**
     * @param mixed $filtro_activo
     */
    public function setFiltroActivo($filtro_activo): void
    {
        $this->filtro_activo = $filtro_activo;
    }

    /**
     * @return mixed
     */
    public function getPage()
    {
        return $this->page;
    }

    /**
     * @param mixed $page
     */
    public function setPage($page): void
    {
        $this->page = $page;
    }

    /**
     * @return mixed
     */
    public function getLimit()
    {
        return $this->limit;
    }

    /**
     * @param mixed $limit
     */
    public function setLimit($limit): void
    {
        $this->limit = $limit;
    }

}
